module FMOD
  module Core

    ##
    # Strongly-typed indices for built-in reverb effects.
    module ReverbIndex

      ##
      # No reverb.
      OFF = 0

      ##
      # Generic reverb effect.
      GENERIC = 1

      ##
      # Padded cell environment
      PADDED_CELL = 2

      ##
      # Room environment
      ROOM = 3

      ##
      # Bathroom environment
      BATHROOM = 4

      ##
      # Living room environment
      LIVING_ROOM = 5

      ##
      # Stone corridor environment
      STONE_ROOM = 6

      ##
      # Auditorium environment
      AUDITORIUM = 7

      ##
      # Concert hall environment
      CONCERT_HALL = 8

      ##
      # Cave environment
      CAVE = 9

      ##
      # Arena environment
      ARENA = 10

      ##
      # Hangar environment
      HANGAR = 11

      ##
      # Carpeted hallway environment
      CARPETED_HALLWAY = 12

      ##
      # Hallway environment
      HALLWAY = 13

      ##
      # Stone corridor environment
      STONE_CORRIDOR = 14

      ##
      # Alley environment
      ALLEY = 15

      ##
      # Forest environment
      FOREST = 16

      ##
      # City environment
      CITY = 17

      ##
      # Mountains environment
      MOUNTAINS = 18

      ##
      # Quarry environment
      QUARRY = 19

      ##
      # Plain environment
      PLAIN = 20

      ##
      # Parking lot environment
      PARKING_LOT = 21

      ##
      # Sewer pip environment
      SEWER_PIPE = 22

      ##
      # Underwater environment
      UNDERWATER = 23
    end
  end
end