module FMOD
  module Core

    ##
    # Assigns an enumeration for a speaker index.
    module SpeakerIndex

      ##
      # The front left speaker.
      FRONT_LEFT = 0

      ##
      # The front right speaker.
      FRONT_RIGHT = 1

      ##
      # The front center speaker.
      FRONT_CENTER = 2

      ##
      # The LFE or "subwoofer" speaker.
      LOW_FREQUENCY = 3

      ##
      # The surround left (usually to the side) speaker.
      SURROUND_LEFT = 4

      ##
      # The surround right (usually to the side) speaker.
      SURROUND_RIGHT = 5

      ##
      # The back left speaker.
      BACK_LEFT = 6

      ##
      # The back right speaker.
      BACK_RIGHT = 7

      ##
      # The top front left speaker.
      TOP_FRONT_LEFT = 8

      ##
      # The top front right speaker.
      TOP_FRONT_RIGHT = 9

      ##
      # The top back left speaker.
      TOP_BACK_LEFT = 10

      ##
      # The top back right speaker.
      TOP_BACK_RIGHT = 11
    end
  end
end